libnvme(2)

NAME
enum nvme_zns_report_options - Zone Management Receive - Zone Receive Action Specific Field

SYNOPSIS
enum nvme_zns_report_options {
NVME_ZNS_ZRAS_REPORT_ALL ,
NVME_ZNS_ZRAS_REPORT_EMPTY ,
NVME_ZNS_ZRAS_REPORT_IMPL_OPENED ,
NVME_ZNS_ZRAS_REPORT_EXPL_OPENED ,
NVME_ZNS_ZRAS_REPORT_CLOSED ,
NVME_ZNS_ZRAS_REPORT_FULL ,
NVME_ZNS_ZRAS_REPORT_READ_ONLY ,
NVME_ZNS_ZRAS_REPORT_OFFLINE

};

Constants

NVME_ZNS_ZRAS_REPORT_ALL
    List all zones

NVME_ZNS_ZRAS_REPORT_EMPTY
    List the zones in the ZSE:Empty state

NVME_ZNS_ZRAS_REPORT_IMPL_OPENED
    List the zones in the ZSIO:Implicitly Opened state

NVME_ZNS_ZRAS_REPORT_EXPL_OPENED
    List the zones in the ZSEO:Explicitly Opened state

NVME_ZNS_ZRAS_REPORT_CLOSED
    List the zones in the ZSC:Closed state

NVME_ZNS_ZRAS_REPORT_FULL
    List the zones in the ZSF:Full state

NVME_ZNS_ZRAS_REPORT_READ_ONLY
    List the zones in the ZSRO:Read Only state

NVME_ZNS_ZRAS_REPORT_OFFLINE
    List the zones in the ZSO:Offline state